.BG
.FN predict.fda
.TL
make predictions from an fda object
.CS
predict.fda(object, x, type, prior, dimension)
.AG object
An object of class `fda'.
.AG x
new data at which to make predictions. If missing, the training data is used.
.AG type
kind of predictions: `type = class' (default) produces a fitted factor,
`type = variates' produces a matrix of discriminant variables,
`type = posterior' produces a matrix of posterior probabilities (based on a
gaussian assumption), and `type=hierarchical' produces the predicted class in
sequence for models of all dimensions.
.AG prior
the prior probabability vector for each class; the default is the training 
sample proportions.
.AG dimension
the dimension of the space to be used, no larger than the dimension component
 of `object'.
.RT
An appropriate object depending on `type'. `object' has a component 
`"fit'" which is regression fit produced by the `method' argument to `fda'.
There should be a `predict' method for this object which is invoked. 
This method should itself take as input `object' and optionally `x'.
.SA
`fda', `mars', `bruto', `polyreg', `softmax', `confusion'
.EX
> irisfit <- fda(iris$x, iris$g)
> irisfit
Call:
fda(x = iris$x, g = iris$g)

Dimension: 2 

Percent Between-Group Variance Explained:
    v1  v2 
 99.12 100
> confusion(predict(irisfit,iris$x), iris$g)
           Setosa Versicolor Virginica 
    Setosa     50          0         0
Versicolor      0         48         1
 Virginica      0          2        49
attr(, "error"):
[1] 0.02
.WR
