.BG
.FN predict.mda
.TL
make predictions from an mda object
.CS
predict.mda(object, x, type, prior, dimension, ...)
.AG object
a fitted mda object
.AG x
new data at which to make predictions. If missing, the training data is used.
.AG type
kind of predictions: `type = class' (default) produces a fitted factor,
`type = variates' produces a matrix of discriminant variables (note
that the maximal dimension is determined by the number of subclasses),
`type = posterior' produces a matrix of posterior probabilities (based on a
gaussian assumption), `type=hierarchical' produces the predicted class in
sequence for models of dimensions specified by `dimension' argument.
.AG prior
the prior probabability vector for each class; the default is the training 
sample proportions.
.AG dimension
the dimension of the space to be used, no larger than the dimension component
 of `object', and in general < R, the number of subclasses. Dimension
 can be a vector for use with `type="hierarchical"'
.RT
An appropriate object depending on `type'. `object' has a component 
`"fit'" which is regression fit produced by the `method' argument to `mda'.
There should be a `predict' method for this object which is invoked. 
This method should itself take as input `object' and optionally `x'.
.SA
`mda',`fda', `mars', `bruto', `polyreg', `softmax', `confusion'
.EX
> glass.mda <- mda(g ~ x, data = glass.train)
> glass.mda
Call:
mda(formula = g ~ x, data = glass.train)

Dimension: 9 

Percent Between-Group Variance Explained:
    v1    v2   v3    v4    v5    v6    v7    v8  v9 
 68.13 86.45 91.5 95.85 97.92 99.13 99.58 99.96 100

Degrees of Freedom (per dimension): 10 

Training Misclassification Error: 0.16854 ( N = 89 )

Deviance: 75.363 
> predict(glass.mda, type="post") # abbreviations are allowed
> confusion(glass.mda,glass.test)
    O VW WF WNF 
  O 9  0  0   4
 VW 0  3  4   3
 WF 0  4 27   5
WNF 2  1  9  25
attr(, "error"):
[1] 0.3333333

.KW classification
.WR 










